Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.type
Interface WildcardType

All Superinterfaces:
  TypeMirror

    public interface WildcardType

extends TypeMirror

Represents a wildcard type argument. Examples include:

       ?
       ? extends Number
       ? super T

A wildcard may have its upper bound explicitly set by an `extends` clause, its lower bound explicitly set by a `super` clause, or neither (but not both).

Since:
  1.5

Method Summary
`Collection<ReferenceType>` | `getLowerBounds()` Returns the lower bounds of this wildcard.
`Collection<ReferenceType>` | `getUpperBounds()` Returns the upper bounds of this wildcard.

Methods inherited from interface com.sun.mirror.type.TypeMirror
`accept, equals, toString`

Method Detail

### getUpperBounds

    Collection<ReferenceType> getUpperBounds()

  Returns the upper bounds of this wildcard. If no upper bound is explicitly declared, then an empty collection is returned.

  Returns:
    the upper bounds of this wildcard

### getLowerBounds

    Collection<ReferenceType> getLowerBounds()

  Returns the lower bounds of this wildcard. If no lower bound is explicitly declared, then an empty collection is returned.

  Returns:
    the lower bounds of this wildcard

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.